Subject: Re: bug#41715: The program '/gnu/store/foobar/compute-guix-derivation' failed to compute the derivation for guix

From: Ludovic Courtès <[email-masked]>
Date: Thu, 04 Jun 2020 22:00:32 +0200

Hello,

[email-masked] skribis:

> on a freshly installed and reconfigured machine, I receive the
> following error:
> # guix pull: error: You found a bug: the program
> '/gnu/store/kpxami25fi3mrxb37sfbbx2s366chpk5-compute-guix-derivation'
> # failed to compute the derivation for Guix (version:
> "790ada9168e0689c1c4607c61cdc1d2dbc327abf"; system: "x86_64-linux";
> # host version: "398ec3c1e265a3f89ed07987f33b264db82e4080";
> pull-version: 1).

Is there more info above these lines?

I tried to reproduce it with:

  guix time-machine --commit=398ec3c1e265a3f89ed07987f33b264db82e4080 \
    -- time-machine --commit=790ada9168e0689c1c4607c61cdc1d2dbc327abf \
    -- describe

but it works for me.

> I'm not entirely sure if, in this case, it is about RAM, as has been
> mentioned in this thread: https://issues.guix.gnu.org/41710 . I do
> have 24gb ram, but currently a small swap file, but that might be
> totally unrelated.

24 GiB is more than enough.

Is the problem reproducible if you try again now?

Thanks for reporting the issue,
Ludo’.